export const TAGS_SELECTION_MODE_AND = 'AND';
export const TAGS_SELECTION_MODE_OR = 'OR';

// Leaflet annotation types
export const ANNOTATION_CHRONOTHEMATIQUE = 'chronothematique'
export const ANNOTATION_EVENT_ANNOTATION = 'event_annotation'
export const ANNOTATION_SIMPLELINE = 'simple-line';
export const ANNOTATION_POLYLINE = 'polyline';
export const ANNOTATION_POLYGON = 'polygon';
export const ANNOTATION_RECTANGLE = 'rectangle';
export const ANNOTATION_CIRCLEMARKER = 'circlemarker';
export const ANNOTATION_MARKER = 'marker';
export const ANNOTATION_ANGLE = 'angle';
export const ANNOTATION_OCCURRENCE = 'occurrence';
export const ANNOTATION_COLORPICKER = 'colorPicker';
export const ANNOTATION_RATIO = 'ratio';
export const ANNOTATION_TRANSCRIPTION = 'transcription';
export const ANNOTATION_CATEGORICAL = 'categorical';
export const ANNOTATION_RICHTEXT = 'richtext';

export const CARTEL = 'cartel';

export const ONE_DIMENSIONAL = 'ONE_DIMENSIONAL';
export const TWO_DIMENSIONAL = 'TWO_DIMENSIONAL';

export const EDIT_EVENT = 'EDIT_EVENT';
export const DELETE_EVENT = 'DELETE_EVENT';

// SIZES
export const NAV_SIZE = 50;
// COLOURS
const BG1 = '#333';
const BG2 = '#666';
const BG3 = '#999';

export const DOC_FG = BG1;
export const DOC_ICON = BG3;
export const DOC_ICON_HOVER = BG2;

export const MAIN_NAV_BG = BG2;
export const MAIN_NAV_FG = BG1;
export const MAIN_NAV_FG_OVER = BG3;
export const SECTION_BG = BG1;
export const SECTION_FG = BG3;
export const TABLE_DATA_BG_OVER = 'black';
export const TABLE_DATA_FG_OVER = 'white';
export const INSPECTOR_METADATA_TITLE = BG3;
export const INSPECTOR_TEXT = BG1;

export const MOZAIC_VIEW = "MOZAIC_VIEW";
export const LIST_VIEW = "LIST_VIEW";

export const SORT_ALPHABETIC_DESC = "sort_alphabetic_desc";
export const SORT_ALPHABETIC_ASC = "sort_alphabetic_asc";
export const SORT_DATE_DESC = "sort_date_desc";
export const SORT_DATE_ASC = "sort_date_asc";
export const SORT_TYPE_ASC = "sort_type_asc";
export const SORT_TYPE_DESC = "sort_type_desc";

export const CATEGORICAL = "CATEGORICAL";
export const NUMERICAL = "NUMERICAL";
export const INTEREST = "INTEREST";
export const TEXTUAL = "TEXTUAL";

export const MODEL_ANNOTATE = "MODEL_ANNOTATE";
export const MODEL_XPER = "MODEL_XPER";

export const IMAGE_STORAGE_DIR = "image_storage";
export const VIDEO_STORAGE_DIR = "image_storage";
export const DEFAULT_FOLDER_NAME = 'Images';

export const HIGHLIGHT_OPTIONS = {highlight: true, color: '#fffd1e'};

export const MANUAL_ORDER = "manual_order";

export const COMMON_TAGS = "Common keywords";
export const TAG_AUTO = "Automatic keywords";
export const TAG_DPI_NO = "DPI: no";
export const TAG_MODE_LANDSCAPE = "Mode: landscape";
export const TAG_MODE_PORTRAIT = "Mode: portrait";
export const TAG_GPS_WIDTH = "GPS: with";
export const TAG_GPS_NO = "GPS: no";
export const TAG_AUTHOR = "@author";

export const ORIENTATION_TOP_LEFT_SIDE = "1";
export const ORIENTATION_BOTTOM_RIGHT_SIDE = "3";
export const ORIENTATION_RIGHT_SIDE_TOP = "6";
export const ORIENTATION_LEFT_SIDE_BOTTOM = "8";

export const TAG_DPI_75 = "DPI ≈ 75";
export const TAG_DPI_150 = "DPI ≈ 150";
export const TAG_DPI_300 = "DPI ≈ 300";
export const TAG_DPI_600 = "DPI ≈ 600";
export const TAG_DPI_1200 = "DPI ≈ 1200";

export const VERY_LOW_RESOLUTION = 75;
export const LOW_RESOLUTION = 150;
export const NORMAL_RESOLUTION = 300;
export const HIGH_RESOLUTION = 600;
export const VERY_HIGH_RESOLUTION = 1200;

export const URL_REGEXP = /((([A-Za-z]{3,9}:(?:\/\/)?)(?:[\-;:&=\+\$,\w]+@)?[A-Za-z0-9\.\-]+|(?:www\.|[\-;:&=\+\$,\w]+@)[A-Za-z0-9\.\-]+)((?:\/[\+~%\/\.\w\-_]*)?\??(?:[\-\+=&;%@\.\w_]*)#?(?:[\.\!\/\\\w]*))?)/

export const IMPORT_BOTANICAL = "IMPORT_BOTANICAL";
export const IMPORT_ZOOLOGY = "IMPORT_ZOOLOGY";
export const IMPORT_PALEONTOLOGY = "IMPORT_PALEONTOLOGY";
export const IMPORT_FROM_JSON = "IMPORT_FROM_JSON";

export const PATH_ESCAPE = new RegExp('\\/\\\\|\\\\', 'g');
export const SUPPORTED_VIDEO_FORMAT_REGEXP = /matroska|webm|mov|mp4|m4a|3gp|3g2|mj2|ogg/gi;
export const RESOURCE_TYPE_VIDEO = "RESOURCE_TYPE_VIDEO";
export const RESOURCE_TYPE_PICTURE = "RESOURCE_TYPE_PICTURE";
export const RESOURCE_TYPE_EVENT = "RESOURCE_TYPE_EVENT";
export const THUMBNAIL_COUNT = 5;
export const DEFAULT_VOLUME = 0.75;

export const APP_NAME = 'Annotate-on';



